<template>
  <layout>
    <div class="section">
      <div class="container">
        <div class="row">
          <div class="col-md-8">
            <div class="section-row">
              <h3>{{post.titulo}}</h3>
              <span v-html="post.conteudo">
              </span>
            </div>
            <autor-post-vue></autor-post-vue>
          </div>
          <div class="col-md-4">
            <widget-vue></widget-vue>
          </div>
        </div>
      </div>
    </div>
  </layout>
</template>

<script>
import Layout from '@/templates/Layout'
import WidgetVue from '@/components/layouts/WidgetVue'
import CommentsVue from '@/components/layouts/CommentsVue'
import AutorPostVue from '@/components/layouts/AutorPostVue'
import axios from 'axios'

export default {
  name: 'Post',
  components: {
    Layout,
    axios,
    WidgetVue,
    CommentsVue,
    AutorPostVue
  },
  data () {
    return {
      post:[]
    }
  },
   methods:{
    getPost(){
      this.$http.get(this.$urlAPI+'post/'+this.$route.params.post)
      .then(response=>{
        this.post = response.data.post
      })
      .catch(e => {
        this.$router.push(this.$urlErro)
      })
    }
  },
  mounted (){
    this.getPost()
  }
};
</script>
